
Redmine - Defect #3906

Cannot browse Git repositories in r2898

2009-09-23 02:31 - Rahul Vaidya

Status: Closed Start date: 2009-09-23

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

Works fine in the 0.8.5 release.  When clicking the Repository link, I get this:

Internal error

An error occurred on the page you were trying to access.

If you continue to experience problems please contact your redMine administrator for assistance.

Related issues:

Related to Redmine - Feature #7517: Configurable path of executable for scm a... Closed 2011-02-02

History

#1 - 2009-09-23 02:36 - Rahul Vaidya

Running Redmine on Windows with msysgit binaries in path, if that matters.

#2 - 2009-09-25 02:29 - Eric Davis

Can you post the error from your log file (log/production.log) as well as the full output from script/about?

#3 - 2009-09-25 02:52 - Rahul Vaidya

I cannot run script/about, it asks for libmysql.dll, and I do not have MySQL installed...

Error from error log:

Processing RepositoriesController#show (for 192.168.1.125 at 2009-09-22 17:34:12) [GET]

Parameters: {"action"=>"show", "id"=>"myproject", "controller"=>"repositories"}

NoMethodError (private method `chomp' called for nil:NilClass):

lib/redmine/scm/adapters/git_adapter.rb:115:in `num_revisions'

lib/redmine/scm/adapters/abstract_adapter.rb:193:in `call'

lib/redmine/scm/adapters/abstract_adapter.rb:193:in `shellout'

lib/redmine/scm/adapters/abstract_adapter.rb:191:in `popen'

lib/redmine/scm/adapters/abstract_adapter.rb:191:in `shellout'

lib/redmine/scm/adapters/abstract_adapter.rb:177:in `shellout'

lib/redmine/scm/adapters/git_adapter.rb:115:in `num_revisions'

app/models/repository/git.rb:47:in `fetch_changesets'

app/controllers/repositories_controller.rb:68:in `show'

Rendering C:/Ruby/redmine-trunk/redmine/public/500.html (500 Internal Server Error)

#4 - 2009-09-25 13:39 - Babar O'Cap

Have you added this :

;%GIT_PATH%\cmd;%GIT_PATH%\bin;

to your %PATH% environment variable ?

Where %GIT_PATH% is the install directory of Git (eg: C:\Git)

#5 - 2009-09-25 20:11 - Rahul Vaidya

I have 0.8.5 stable and trunk installed as two services on the same machine.  0.8.5 works with git repo browsing.  The git binary path is in the

system-wide PATH variable.
#6 - 2009-09-25 20:20 - Rahul Vaidya

- Status changed from New to Resolved

Sorry, the /cmd path was in PATH but not /bin.  Seems to work now.

#7 - 2011-02-04 05:34 - Toshi MARUYAMA

- Status changed from Resolved to Closed

Svn trunk r4795 adds a feature of configurable path of executable for scm adapters (#7517).
